import { Component, OnInit } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import { CommonModule } from '@angular/common';
import { Router } from '@angular/router';

@Component({
  selector: 'feedback-help',
  templateUrl: './feedback-help.component.html',
  styleUrls: ['./feedback-help.component.scss'],
  imports:[IonicModule,
    CommonModule
  ],
  standalone: true,
})
export class FeedbackHelpComponent  implements OnInit {

  constructor(
    private router: Router
  ) { }

  ngOnInit() {}

  isModalOpen = false;
  selectedQuestion: any = null;

  questions = [
    { title: '如何重置密码？', detail: '您可以通过点击“忘记密码”链接来重置您的密码。' },
    { title: '如何联系客服？', detail: '您可以通过应用内的“联系客服”功能与我们的客服团队联系。' },
    { title: '如何更新个人信息？', detail: '点击我的信息或者头像，您可以编辑和更新您的个人信息。' },
    { title: '如何查看订单历史？', detail: '在“我的订单”页面，您可以查看所有的订单历史记录。' },
  ];

  openDetail(question: any) {
    this.selectedQuestion = question;
    this.isModalOpen = true;
  }
}